#[macro_use]
extern crate colour;
#[macro_use]
extern crate itertools;
extern crate rand;

mod optimizer;

pub use optimizer::{job_config, swarm_config, PSO};

#[cfg(test)]
mod tests {

    use super::*;
    use job_config::JobConfig;

    #[test]
    fn yep() {
        let pso = PSO::default(8, true);
        let mut jc = JobConfig::new(30);
        jc.max_iterations(1000);

        let min = pso.run_job(jc, |x: &[f64]| -> f64 { x.iter().sum() });

        println!("minimum of: {}, located at: {:?}", min.0, min.1);
    }
}
